From a8f8b2ea81f0364cc31d125800b705c701a9105f Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Tue, 30 Aug 2016 12:00:00 -0400
Subject: [PATCH 19/27] Add explicit cast for casting away volatile

---
 contrib/pg_stat_statements/pg_stat_statements.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/contrib/pg_stat_statements/pg_stat_statements.c b/contrib/pg_stat_statements/pg_stat_statements.c
index 8ce24e0..37aac98 100644
--- a/contrib/pg_stat_statements/pg_stat_statements.c
+++ b/contrib/pg_stat_statements/pg_stat_statements.c
@@ -1547,7 +1547,7 @@ pg_stat_statements_internal(FunctionCallInfo fcinfo,
 			volatile pgssEntry *e = (volatile pgssEntry *) entry;
 
 			SpinLockAcquire(&e->mutex);
-			tmp = e->counters;
+			tmp = const_cast<pgssEntry *>(e)->counters;
 			SpinLockRelease(&e->mutex);
 		}
 
-- 
2.9.3

